Objects
Create a ticket
Create a ticket in the tenant and project derived from the access token.
Overview
Use this endpoint to create a ticket with one or more properties. Pipeline-aware objects use the public aliases pipeline and stage. It requires public api oauth access token authentication and the crm.tickets.write scope.
/api/objects/ticketscURL
POSTcurl --request POST \ --url 'https://crm.notifyy.io/api/objects/tickets' \ --header 'Authorization: Bearer nfy_public_api_access_token' \ --header 'Content-Type: application/json' \ --data '{ "properties": [ { "internal_name": "name", "value": "Billing issue" }, { "internal_name": "priority", "value": "high" }, { "internal_name": "pipeline", "value": "support_pipeline" }, { "internal_name": "stage", "value": "open" } ], "associations": [ { "to": { "object": "contact", "id": "456" } }, { "to": { "object": "company", "id": "789" } } ]}'Sample Request Body
{ "properties": [ { "internal_name": "name", "value": "Billing issue" }, { "internal_name": "priority", "value": "high" }, { "internal_name": "pipeline", "value": "support_pipeline" }, { "internal_name": "stage", "value": "open" } ], "associations": [ { "to": { "object": "contact", "id": "456" } }, { "to": { "object": "company", "id": "789" } } ]}Sample Response
{ "success": true, "message": "Ticket created successfully", "data": { "id": 999, "name": "Billing issue", "description": null, "priority": "high", "createdDate": null, "closeDate": null, "createdAt": "2026-07-31T10:15:30Z", "updatedAt": "2026-07-31T10:15:30Z" }}Status Codes
| Code | Description |
|---|---|
| 201 | Ticket was created. |
Headers
Public API OAuth bearer token.
Example: Bearer nfy_public_api_access_token
Request body media type.
Example: application/json
| Object | Description |
|---|---|
Authorization string | RequiredPublic API OAuth bearer token. Example: Bearer nfy_public_api_access_token |
Content-Type string | RequiredRequest body media type. Example: application/json |
Request body
Ticket properties to create. At least one property is required.
Internal property name. Use pipeline and stage instead of internal ID fields.
Example: name
| Object | Description |
|---|---|
properties object[] | RequiredTicket properties to create. At least one property is required. |
properties[].internal_name string | RequiredInternal property name. Use pipeline and stage instead of internal ID fields. Example: name |
Response fields
Ticket record ID.
Ticket name.
Example: Billing issue
Ticket priority.
Example: high
| Object | Description |
|---|---|
data.id integer | Ticket record ID. |
data.name string | null | Ticket name. Example: Billing issue |
data.priority string | null | Ticket priority. Example: high |